Name:		dsi
Version:	1.0.7
Release:	18%{?dist}
Summary:	Invading aliens type game
License:	GPLv2+
URL:		http://interlinux.org.uk
Source0:	http://downloads.sourceforge.net/dspaceinvadors/%{name}-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:	SDL-devel >= 1.2.4
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	desktop-file-utils
       
%description
dsi is a simple game of invading aliens. You must stop those aliens from
landing on you. It features: smooth scrolling, high scores, 5 levels, simple
controls, sound effects, strategic game play, and a tiny footprint. The
graphics can be customized out of the box, without requiring any recompiling.
A simple definition file can be customized for coders.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
mv %{buildroot}%{_datadir}/applications/DSI.desktop \
	%{buildroot}%{_datadir}/applications/%{name}.desktop

# Register as an application to be visible in the software center
#
# NOTE: It would be *awesome* if this file was maintained by the upstream
# project, translated and installed into the right place during `make install`.
#
# See http://www.freedesktop.org/software/appstream/docs/ for more details.
#
mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
cat > $RPM_BUILD_ROOT%{_datadir}/appdata/%{name}.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Ravi Srinivasan <ravishankar.srinivasan@gmail.com> -->
<!--
EmailAddress: https://sourceforge.net/u/dbrasher28/profile/
SentUpstream: 2014-09-24
-->
<application>
  <id type="desktop">dsi.desktop</id>
  <metadata_license>CC0-1.0</metadata_license>
  <summary>A simple 2D scrolling game where you stop aliens from landing on you</summary>
  <description>
    <p>
      dsi or dspaceinvadors is a simple 2D scrolling game where you prevent
      aliens landing on top of you.
    </p>
    <p>
      It has simple controls, 5 levels, a smooth scrolling experience, sound
      effects and customizable graphics.
    </p>
  </description>
  <url type="homepage">http://sourceforge.net/projects/dspaceinvadors/</url>
  <screenshots>
    <screenshot type="default">https://raw.githubusercontent.com/hughsie/fedora-appstream/master/screenshots-extra/dsi/a.png</screenshot>
    <screenshot><!--screenshot url here--></screenshot>
    <screenshot><!--screenshot url here--></screenshot>
  </screenshots>
</application>
EOF

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%{_bindir}/DSI
%dir %{_sharedstatedir}/games/%{name}/
%{_datadir}/%{name}/
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/alien.png
%attr(664,root,games) %{_sharedstatedir}/games/%{name}/hiscore
%doc COPYING README TODO ChangeLog

%changelog
* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.7-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.7-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.7-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.7-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.7-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.7-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.7-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.7-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.7-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Mar 26 2015 Richard Hughes <rhughes@redhat.com> - 1.0.7-9
- Add an AppData file for the software center

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun May 06 2012 Damian L Brasher <dlb@interlinux.org.uk> 1.0.7-3
- Red Hat Bugzilla Bug 966843 Review Request, Comment #18. 

* Wed Oct 19 2011 Damian L Brasher <dlb@interlinux.org.uk> 1.0.7-2
- Changes to bring in-line with package review guidelines. 

* Tue Apr 26 2010 Damian L Brasher <dlb@interlinux.org.uk> 1.0.7-1
- Code base has been heavily re-factored to improve underlying game engine. 

* Wed Apr 14 2010 Damian L Brasher <dlb@interlinux.org.uk> 1.0.3-1
- Version increment and files added. 

* Tue Apr 13 2010 Damian L Brasher <dlb@interlinux.co.uk> 1.0.2
- Initial version of the package.
